/*
-----------------------------
LINKS - UNDERLINE
-----------------------------
*/
main a, footer a, .menu-sub a, a .underline {
    position: relative;
    transition: all .3s;
    white-space: nowrap;
}

.menu-sub a, .menu-sub a .underline {
    color: var(--text);
}

footer a {
    color: var(--footer-text);
}

main a::before, footer a::before, .menu-block a::before, a .underline:before {
    content: '';
    height: 1px;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    transition: all .3s ease-in-out;
    width: 0;
    background-color: var(--accent);
}

main a:hover, footer a:hover, .menu-block a:hover, a:hover .underline {
    color: var(--accent);
}

footer a:hover {
    text-shadow: 1px 1px var(--shadow);
}

main a:hover::before, footer a:hover::before, .menu-block a:hover::before, a:hover .underline::before {
    width: 100%;
}

/*
-----------------------------
LINK CURTAIN
-----------------------------
*/
.curtain {
    position: relative;
    cursor: pointer;
    display: inline-block;
    background-color: var(--base20);
    border: 1px solid var(--base80);
    color: var(--base);
    padding: 0.25rem 2rem;
    line-height: 2.5rem;
    overflow: hidden;
    outline: none;
    transition: .5s all;
    text-align: center;
    margin: 1rem 0;
    z-index: 1;
}

.curtain.inline {
    margin: 0;
    width: 100%;
}

.curtain::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transition: .3s all;
    transform: scaleX(0);
    z-index: -1;
}

.curtain i {
    margin: .15rem .5rem 0 0;
}

.curtain:hover {
    color: var(--base0);
    border-color: var(--accent);
    text-shadow: var(--shadow);
}

.curtain:hover::before {
    transform: scaleX(1.1);
    background-color: var(--accent);
}

/*
-----------------------------
CAROUSEL
-----------------------------
*/
.slick-slider
{
    position: relative;

    display: block;
    box-sizing: border-box;

    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;

    -webkit-touch-callout: none;
    -khtml-user-select: none;
    -ms-touch-action: pan-y;
    touch-action: pan-y;
    -webkit-tap-highlight-color: transparent;
}

.slick-list
{
    position: relative;

    display: block;
    overflow: hidden;

    margin: 0;
    padding: 0;
}
.slick-list:focus
{
    outline: none;
}
.slick-list.dragging
{
    cursor: hand;
}

.slick-slider .slick-track,
.slick-slider .slick-list
{
    -webkit-transform: translate3d(0, 0, 0);
    -moz-transform: translate3d(0, 0, 0);
    -ms-transform: translate3d(0, 0, 0);
    -o-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
}

.slick-track
{
    position: relative;
    top: 0;
    left: 0;

    display: block;
    margin-left: auto;
    margin-right: auto;
}
.slick-track:before,
.slick-track:after
{
    display: table;

    content: '';
}
.slick-track:after
{
    clear: both;
}
.slick-loading .slick-track
{
    visibility: hidden;
}

.slick-slide
{
    display: none;
    float: left;

    height: 100%;
    min-height: 1px;
}
[dir='rtl'] .slick-slide
{
    float: right;
}
.slick-slide img
{
    display: block;
}
.slick-slide.slick-loading img
{
    display: none;
}
.slick-slide.dragging img
{
    pointer-events: none;
}
.slick-initialized .slick-slide
{
    display: block;
}
.slick-loading .slick-slide
{
    visibility: hidden;
}
.slick-vertical .slick-slide
{
    display: block;
    height: auto;
    border: 1px solid transparent;
}
.slick-arrow.slick-hidden {
    display: none;
}

.slick-dots {
    width: 100%;
    position: absolute;
    bottom: 0;
    left: 0;
    margin: 0;
    padding: 0;
    text-align: center;
}

.slick-dots > li {
    display: inline-block;
    padding: 0 .5rem;
}

.slick-dots > li > button {
    font-size: 0;
    height: 1rem;
    width: 1rem;
    border-radius: .5rem;
    cursor: pointer;
    color: transparent;
    border: 2px solid #ffffff;
    background-color: #ffffff;
}

.slick-dots > li.slick-active > button {
    background-color: #fe0000;
}

/*
-----------------------------
ELEMENTS
-----------------------------
*/
.container-highlight {
    background-color: var(--menu);
    padding: 1rem;
    margin: 3rem 0;
}

.container-box {
    background: linear-gradient(-90deg, var(--base0), var(--base60));
    padding: 3rem;
    margin: 3rem 0;
    border: 1px solid var(--base100);
}

.container-box > div {
    padding: 1rem;
}

.container-box h2 {
    color: var(--accent);
    text-shadow: var(--shadow);
}

.row-padding > div + div {
    padding-left: 2rem;
}

.presentation {
    position: relative;
    padding: 1rem;
    margin-bottom: 2rem;
}

.presentation img {
    border-radius: .5rem;
}

.presentation a[data-video] {
    font-size: 2.5rem;
    color: var(--accent);
    text-shadow: var(--shadow);
    position: absolute;
    top: 1.5rem;
    right: 1.5rem;
}

.presentation h3 {
    font-weight: bold;
    font-size: 2rem;
    margin-top: .5rem;
    color: var(--accent);
    text-transform: uppercase;
}

.website-service {
    display: grid;
    grid-template-columns: 1fr;
    background-color: var(--base40);
    margin: 2rem;
    padding: 0;
    border-radius: .5rem;
    overflow: hidden;
    align-items: center;
    text-align: start;
}

.website-service > *:nth-child(2) {
    padding: 1rem 2rem;
}

.website-service h3 {
    font-size: 2rem;
    margin: .5rem 0;
}

.website-service p {
    font-size: 1.25rem;
    margin: 0;
}

.website-service img {
    font-size: 1.25rem;
}

@media only screen and (min-width: 60em) {

    .website-service {
        grid-template-columns: 1fr 2fr;
    }

}

.website-index-services {
    margin: 1rem;
    padding: 0;
    background-color: var(--base40);
    border-radius: .5rem;
    overflow: hidden;
}

.website-index-services h3 {
    margin: 1rem;
    color: var(--accent);
    font-size: 2rem;
    text-shadow: var(--shadow);
}

.website-index-services p {
    margin: 1rem;
    font-size: 1.25rem;
}

.website-index-services div {
    margin: 0 2rem;
}


/*
-----------------------------
TABLE
-----------------------------
*/
.web-table .row {
    border-bottom: 1px dotted var(--accent);
    padding: 1rem 0;
}

.web-table .row > div {
    padding: 0 .5rem;
}

.web-table h2 {
    margin: 0;
}

/*
-----------------------------
DIRECT SEARCH
-----------------------------
*/
#search-direct > div {
    padding: .25rem;
}

#search-direct input {
    margin: 0 .5rem;
    text-align: center;
    outline: none;
}

#search-code-1 {
    width: 4rem;
}

#search-code-2 {
    width: 3rem;
}

/*
-----------------------------
PAGINATION
-----------------------------
*/
.web-pagination {
    display: flex;
    align-items: center;
    padding: 2rem 0;
}

.web-pagination > * {
    margin: 0 .25rem;
}

.web-pagination > .curtain, .web-pagination-current {
    padding: .25rem;
    min-width: 2rem;
    line-height: 2rem;
}

.web-pagination-current {
    color: var(--base0);
    border-color: var(--accent);
    text-shadow: var(--shadow);
    background-color: var(--accent);
}

@media only screen and (min-width: 48em) {

    .web-pagination > * {
        margin: 0 .5rem;
    }
}

/*
-----------------------------
OVERLAY
-----------------------------
*/
#overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0,0,0,.8);
    overflow: hidden;
    z-index: 2000;
}

#overlay header {
    position: absolute;
    display: flex;
    top: 0;
    left: 0;
    width: 100%;
    height: 5rem;
    align-items: center;
    justify-content: space-between
}

#overlay section, #overlay article, .video-container {
    width: 100%;
    height: 100%;
}

#overlay #ov-title {
    color: var(--base80);
    font-size: 2.5rem;
    font-weight: normal;
    text-transform: none;
    padding: 0 2rem;
    white-space: nowrap;
}

.ov-controls {
    justify-content: flex-end;
    padding: 0 2rem;
}

.ov-controls a {
    display: block;
    width: 4rem;
    text-align: center;
    color: var(--base80);
    font-size: 2.5rem;
    transition: all .3s ease-in-out;
}

.ov-controls a:hover {
    color: var(--accent);
}

#overlay-content {
    width: 100%;
    height: calc(100% - 5rem);
    margin-top: 5rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.video-container {
    display: flex;
    align-items: center;
    justify-content: center;
}

.video-container video {
    max-width: 80%;
    max-height: 80%;
}

/*
-----------------------------
GUESTBOOK
-----------------------------
*/
.guestbook-text {
    border-top: 1px solid var(--base80);
    padding-top: .25rem;
}

/*
-----------------------------
NAVIGATION IMAGES
-----------------------------
*/
.nav-img-links .row > div {
    margin: 0;
    padding: 0;
}

.nav-img-links-container {
    flex-wrap: nowrap;
    overflow: hidden;
    padding: 0 1rem;
}

.nav-img-links-container > div {
    overflow: hidden;
    position: relative;
    flex: 1 0 0;
    flex-wrap: nowrap;
}

.nav-img-links-container img {
    max-width: 100%;
    height: auto;
}

/*
-----------------------------
FERRY
-----------------------------
*/
.ferry-links .link-scale > a {
    margin: 1rem;
}

.ferry-links .link-scale .img-container {
    background-color: var(--base0);
    padding: 1rem;
}

.ferry-links .link-scale img {
    width: calc(16vw - 4rem);
    height: calc(16vw / 2 - 4rem);
    object-fit: scale-down;
}

.ferry-route {
    border-bottom: 1px solid var(--base60);
    padding: 0 2rem 2rem 2rem;
    margin-bottom: 2rem;
}

.ferry-route:last-child {
    border-bottom: none;
}


/*
-----------------------------
LINKS - SCALE
-----------------------------
*/
.link-scale {
    padding: 1rem;
}

.link-scale a {
    display: block;
    border-radius: .5rem;
    overflow: hidden;
    color: var(--text);
}

.link-scale a:hover {
    color: var(--text);
}

.link-scale a:hover::before {
    all: unset;
}

.link-scale .img-container {
    width: 100%;
    overflow: hidden;
}

.link-scale img {
    display: block;
    width: 100%;
    height: auto;
    transition: all .3s ease-in-out;
}

.link-scale h2, .link-scale h3 {
    font-size: 1.5rem;
    margin: 0;
    padding: .5rem 1rem;
    background-color: var(--base);
    color: var(--base0);
    text-align: center;
    text-shadow: var(--shadow);
    white-space: normal;
    transition: all .3s ease-in-out;
}

.link-scale h3 {
    font-size: 1.25rem;
    padding: .25rem;
}

.link-scale p {
    background-color: var(--base0);
    padding: .5rem;
    font-size: 1.25rem;
    white-space: normal;
    overflow: hidden;
    margin: 0;
}

.link-scale a:hover img {
    transform: scale(1.25);
}

.link-scale a:hover h2, .link-scale a:hover h3 {
    background-color: var(--accent);
}

/*
-----------------------------
Video
-----------------------------
*/
.video-requirements i {
    display: inline-block;
    padding: 0 .25rem;
    color: var(--accent);
}

.video-requirements span {
    width: 100%;
    margin-top: 1rem;
}

.video-requirements h2 {
    margin-bottom: 1rem;
}

@media only screen and (min-width: 62em) {

    .video-requirements {
        line-height: 2.5rem;
        padding-bottom: 2rem;
    }

    .video-requirements span {
        width: 10rem;
        margin-right: 2rem;
    }
}

/*
-----------------------------
CAROUSEL
-----------------------------
*/
.carousel {
    padding: 0 1rem 2rem 1rem;
}

.carousel .link-scale a {
    display: block;
    border-radius: .5rem;
    overflow: hidden;
}

.carousel .link-scale h2 {
    font-size: 1.5rem;
    margin: 0;
    padding: .5rem;
    background-color: var(--base);
    color: var(--base0);
    text-shadow: var(--shadow);
    transition: all .5s;
    margin: 0;
}

.carousel .link-scale a:hover h2 {
    background-color: var(--accent);
}

.carousel .slick-arrow {
    position: absolute;
    top: 50%;
    transform: translateY(-75%);
    border: none;
    color: var(--base80);
    background-color: transparent;
    cursor: pointer;
    transition: all .3s ease-in-out;
    font-size: 5rem;
    text-shadow: 2px 2px 2px #000000;
    z-index: 900;
}

.carousel .slick-arrow:hover {
    color: var(--accent);
}

.carousel .slick-prev {
    left: 2rem;
}

.carousel .slick-dots {
    bottom: -1rem;
}

.carousel .slick-next {
    right: 2rem;
}

.ferry-carousel.carousel .slick-arrow {
    transform: translateY(-50%);
}

.ferry-line {
    padding: 2rem 1rem;
    height: 100%;
}

.ferry-line > div {
    background-color: var(--base0);
    border-radius: .5rem;
    text-align: center;
    padding: 1rem;
    overflow: hidden;
}

.ferry-line img {
    display: inline-block;
    padding: 1rem 2rem;
    margin: 0 auto;
    max-width: 100%;
    max-height: 6rem;
    width: auto;
}

@media only screen and (min-width: 62em) {

    .carousel {
        padding: 0 6rem;
    }
}

/*
-----------------------------
SOCIAL
-----------------------------
*/
#social-share {
    font-size: 2.5rem;
    display: flex;
    align-items: center;
}

#social-share i {
    padding: 0 .25rem;
}

#social-share i.fa-whatsapp-square {
    color: #25d366;
}

#social-share i.fa-facebook-square {
    color: #3b5998;
}

#social-share i.fa-pinterest-square {
    color: #bd081c;
}

#social-share i.fa-envelope-square {
    color: #168de2;
}

/*
-----------------------------
TABS
-----------------------------
*/
.sincos-tabs a {
    width: 8rem;
    margin: .5rem;
    padding: .25rem .5rem;
    border-radius: .5rem;
}

.sincos-tabs i {
    display: block;
    font-size: 2rem;
    margin: 0;
    padding: .25rem 0;
}

#sincos-tab-container > * {
    display: none;
    animation: fading 1s;
}

#sincos-tab-container > .active {
    display: block;
}

.property-tab-content {
    max-width: 79rem;
    margin: 0 auto;
    text-align: center;
    padding: 0 2rem 3rem 2rem;
}

.property-tab-content h2 {
    color: var(--accent);
    text-shadow: var(--shadow);
    font-size: 3rem;
    margin: 0;
    padding-bottom: 2rem;
}

.property-tab-content video {
    width: 100%;
    height: auto;
    border-radius: .5rem;
    overflow: hidden;
}

.property-tab-content #fishing-map, .property-tab-content #google-map {
    height: 40rem;
    border-radius: .5rem;
}

@keyframes fading {
    from {opacity: 0;}
    to {opacity: 1;}
}


/*
-----------------------------
IMAGE CAROUSEL
-----------------------------
*/

.object-image-container.slick {
    padding: 0;
    height: calc(100vw * .75);
    overflow: hidden;
}

@media only screen and (min-width: 62rem) {

    .object-image-container.slick {
        height: calc(100vw * .44);
    }
}

.object-image-container {
    margin-top: 6rem;
}

.slick .object-image {
    transition: all .5s;
}

.slick .object-image:not(.slick-current) {
    opacity: .4;
    -webkit-filter: grayscale(100%);
    filter: grayscale(100%);
}

.object-image img {
    display: block;
    width: 100%;
    height: auto;
}

.object-image-container .slick-arrow {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    border: none;
    color: var(--base80);
    background-color: transparent;
    cursor: pointer;
    transition: all .3s ease-in-out;
    z-index: 900;
    height: 100%;
    width: 5rem;
    font-size: 7rem;
    text-shadow: 2px 2px 2px #000000;
}

.object-image-container .slick-arrow:hover {
    color: var(--accent);
    opacity: 1;
    background-color: rgba(0,0,0,.2);
}

.object-image-container .slick-prev {
    left: 0;
}

.object-image-container .slick-next {
    right: 0;
}

/*
-----------------------------
PRICING
-----------------------------
*/
.property-pricing {
    padding-bottom: 2rem;
}

.property-pricing h3 {
    font-size: 2.5rem;
    margin-bottom: 1rem;
}

.property-pricing span {
    display: inline-block;
    font-weight: bold;
}

.property-pricing span:first-child {
    text-align: left;
    width: 20rem;
}

.property-pricing span:last-child {
    width: 10rem;
    text-align: right;
}

.property-pricing-footer {
    margin-top: 1.5rem;
    text-align: center;
}

.property-pricing-footer p {
    margin: 0;
}

.property-pricing .season-1 { color: var(--season-1); }
.property-pricing .season-2 { color: var(--season-2); }
.property-pricing .season-3 { color: var(--season-3); }
.property-pricing .season-4 { color: var(--season-4); }
.property-pricing .season-5 { color: var(--season-5); }

/*
-----------------------------
REVIEWS
-----------------------------
*/
.property-review {
    padding-bottom: 3rem;
}

.property-review-result {
    border-bottom: 1px solid var(--base);
    padding: 1.25rem 0 .75rem 0;
}

/*
-----------------------------
WEATHER
-----------------------------
*/
.weather {
    background-color: var(--base40);
    border-radius: .5rem;
    padding: 2rem 0 4rem 0;
}

.weather h3 {
    font-size: 2rem;
}

.weather-container {
    padding: 1rem;
}

.weather-details {
    padding: 1rem;
    background-color: var(--base0);
    border-radius: .5rem;
}

.weather-details p {
    margin: 0;
}

.weather-details i {
    margin: 0 .5rem;
}

.weather-details img {
    width: 50%;
    height: auto;
}

.weather-details .weather-temperature {
    position: relative;
    top: -.5rem;
    font-size: 3rem;
    font-weight: bold;
    padding-bottom: 0;
}
/*
-----------------------------
PRELOAD
-----------------------------
*/
#preload {
    display: none;
    position: fixed;
    width: 6rem;
    height: 6rem;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 9999;
}

#preload::before {
    position: relative;
    top: 1rem;
    left: 1rem;
    content: url("data:image/svg+xml; utf8, %3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20version%3D%221.0%22%20width%3D%2264px%22%20height%3D%2264px%22%20viewBox%3D%220%200%20128%20128%22%20xml%3Aspace%3D%22preserve%22%3E%3Cg%3E%3Cpath%20d%3D%22M38.52%2033.37L21.36%2016.2A63.6%2063.6%200%200%201%2059.5.16v24.3a39.5%2039.5%200%200%200-20.98%208.92z%22%20fill%3D%22%23000000%22%2F%3E%3Cpath%20d%3D%22M38.52%2033.37L21.36%2016.2A63.6%2063.6%200%200%201%2059.5.16v24.3a39.5%2039.5%200%200%200-20.98%208.92z%22%20fill%3D%22%23c0c0c0%22%20transform%3D%22rotate%2845%2064%2064%29%22%2F%3E%3Cpath%20d%3D%22M38.52%2033.37L21.36%2016.2A63.6%2063.6%200%200%201%2059.5.16v24.3a39.5%2039.5%200%200%200-20.98%208.92z%22%20fill%3D%22%23c0c0c0%22%20transform%3D%22rotate%2890%2064%2064%29%22%2F%3E%3Cpath%20d%3D%22M38.52%2033.37L21.36%2016.2A63.6%2063.6%200%200%201%2059.5.16v24.3a39.5%2039.5%200%200%200-20.98%208.92z%22%20fill%3D%22%23c0c0c0%22%20transform%3D%22rotate%28135%2064%2064%29%22%2F%3E%3Cpath%20d%3D%22M38.52%2033.37L21.36%2016.2A63.6%2063.6%200%200%201%2059.5.16v24.3a39.5%2039.5%200%200%200-20.98%208.92z%22%20fill%3D%22%23c0c0c0%22%20transform%3D%22rotate%28180%2064%2064%29%22%2F%3E%3Cpath%20d%3D%22M38.52%2033.37L21.36%2016.2A63.6%2063.6%200%200%201%2059.5.16v24.3a39.5%2039.5%200%200%200-20.98%208.92z%22%20fill%3D%22%23c0c0c0%22%20transform%3D%22rotate%28225%2064%2064%29%22%2F%3E%3Cpath%20d%3D%22M38.52%2033.37L21.36%2016.2A63.6%2063.6%200%200%201%2059.5.16v24.3a39.5%2039.5%200%200%200-20.98%208.92z%22%20fill%3D%22%23c0c0c0%22%20transform%3D%22rotate%28270%2064%2064%29%22%2F%3E%3Cpath%20d%3D%22M38.52%2033.37L21.36%2016.2A63.6%2063.6%200%200%201%2059.5.16v24.3a39.5%2039.5%200%200%200-20.98%208.92z%22%20fill%3D%22%23c0c0c0%22%20transform%3D%22rotate%28315%2064%2064%29%22%2F%3E%3CanimateTransform%20attributeName%3D%22transform%22%20type%3D%22rotate%22%20values%3D%220%2064%2064%3B45%2064%2064%3B90%2064%2064%3B135%2064%2064%3B180%2064%2064%3B225%2064%2064%3B270%2064%2064%3B315%2064%2064%22%20calcMode%3D%22discrete%22%20dur%3D%22960ms%22%20repeatCount%3D%22indefinite%22%3E%3C%2FanimateTransform%3E%3C%2Fg%3E%3C%2Fsvg%3E");
}

/*
-----------------------------
VACANCY
-----------------------------
*/
.vacancy-result {
    text-shadow: var(--shadow);
    border-color: var(--base);
    border-width: 0 1px;
    border-style: solid;
    color: var(--base0);
    padding: 1rem;
}

.vacancy-result h3 {
    margin: 0;
    font-size: 2rem;
    line-height: 150%;
}

.vacancy-successful {
    background-color: var(--green);
}

.vacancy-unsuccessful {
    background-color: var(--accent);
}

.vacancy-alternatives {
    background-color: var(--base40);
    border-width: 0 1px 1px 1px;
    border-style: solid;
    color: var(--base);
}